PDA

View Full Version : SqueezeCenter will NOT start up on MAC



badlyread
2008-09-28, 02:43
Hi All

I've been running a SB3 for over a year with no serious problems. Then a few weeks ago the SB seemed to be caught in a loop eg when selecting Artist > Artist > Artist and no music!! Did a factory reset but no joy.

Downloaded SqueezeCenter 7.2 in the hope that this might sort out the problem but no!! Now the Server will not even start up. I've uninstalled and re-installed and still it will not start up. Firewall allows all incoming.

Help/ideas please!

Badlyread

paul@paulderby.net
2008-09-28, 09:47
I'm unable to get SqueezeCenter 7.1 or 7.2 to launch. Running on OS X SERVER 10.4

Get the following in the consol loge:

===== Sunday, September 28, 2008 12:43:16 PM US/Eastern =====
MIME::Base64 object version 3.05 does not match bootstrap parameter 3.07 at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/XSLoader.pm line 92.
Compilation failed in require at /Library/PreferencePanes/SqueezeCenter.prefPane/Contents/server/Slim/Web/HTTP.pm line 22.
BEGIN failed--compilation aborted at /Library/PreferencePanes/SqueezeCenter.prefPane/Contents/server/Slim/Web/HTTP.pm line 22.


Any ideas? All help appreciated.

paul@paulderby.net
2008-09-28, 10:38
I did a routine "security" upgrade yesterday on the OS X Server. That is when the SqueezeCenter stopped working.

I found this post:

http://forums.macosxhints.com/archive/index.php/t-69468.html

that seems to be the problem I'm having. I'll do the recommended CPAN commands and see if this solves the problem.

I did back off to SlimServer 6.5.4 which resulted in the same errors. So it seems to be a Perl problem, not a SlimServer or Squeeze Center problem.

I'm surprised I'm the only one having this problem, at least that I can find on the searches....

paul@paulderby.net
2008-09-28, 11:07
Doing the CPAN "fix" from the MacFixIT posting solved my problem:

sudo /usr/bin/cpan

At the cpan prompt ("cpan>"), type,

force install MIME::Base64

Once the install is done, q to quit

jrgrant
2008-12-26, 11:01
FYI, the 2008-008 Mac OS "Security Upgrade" creates the same problem. The fix is the same:
sudo su -; cpan; force install MIME::Base64

I really, really don't like Perl: I'm liking Mac OS X less every day. Perl on OS X is just about intolerable!

avta
2008-12-26, 11:51
I'm a long time Mac user and have had very few problems running SC. I find that after each OS security upgrade and some others as well it's best to run a comprehensive repair program such as Onyx which is free. I'm currently using SC 7.3.1 with no difficulties.

dada
2009-02-05, 08:04
anyone else running mac os x server (10.4.11)?
can't seem to make squeezecenter 7.32 working on this machine.
slimserver 6.54 does fine, but no squeezecenter
and i tried the workarounds discribed in the post above ...